#!/bin/bash
# wrapper script to be able to run 2013 mogul with -csdpath option set
# to use the 2014 csd and licence written for "Consortium Member X"
# original author Oliver Smart buster-develop@globalphasing.com
# v1.05 01 May 2014

# edit the next line to the location of 2013 mogul executable (on NFS)
MYMOGUL="/global/va_1/opt/ccdc/csd/5.34/cambridge/bin/mogul"
# N.B. 2014 CSDS licence/installation (?) needs to be the normal rather 
# than research partner
# edit the next line to give location of 2014 csd as535be (on NFS)
MYCSDPATH="/global/va_1/opt/ccdc/csd/5.35/cambridge/csd/as535be"
# forgot the licence in v1.01
# "Consortium Member X" use CCDC_CSD_LICENCE_FILE (probably not necessary so comment out)
### export CCDC_CSD_LICENCE_FILE="/global/va_1/opt/ccdc/csd/5.35/cambridge/csd/csd_licence.dat"
### if [[ -f $CCDC_CSD_LICENCE_FILE ]]
### then
###     echo "using CCDC_CSD_LICENCE_FILE as $CCDC_CSD_LICENCE_FILE exists"
### else
###     echo "ERROR in $0 wrapper '$CCDC_CSD_LICENCE_FILE' specified but the file does not exist?"
###     exit 1;
### fi      


# script arguments these MUST be passed to mogul
MYARGS="$@"
echo "using mogul executable $MYMOGUL"
# check it is executable
if [[ ! -x $MYMOGUL ]]
then
    echo "ERROR in $0 wrapper '$MYMOGUL' is not executable"
    exit 1;
fi

# the csdpath directory must contain file as*be.inf
MYASBEINF="$MYCSDPATH.inf"
if [[ -f  $MYASBEINF ]]
then
    echo "using -csdpath $MYCSDPATH as $MYASBEINF exists"
    MYARGS="$MYARGS -csdpath $MYCSDPATH"
else
    echo "ERROR in $0 wrapper '$MYCSDPATH' specified but the file $MYASBEINF does not exist?"
    exit 1;
fi      

# finally exec mogul with modified arguments
exec $MYMOGUL $MYARGS
